/* Text changer - full version.
Let your text customizable.
by Marco Rosella - http://www.centralscrutinizer.it/en/design/js-php/text-changer
                v0.2 - May 18, 2006
*/

window.onload = function(){
	textChanger.init(); 	
}

var textChanger = {
	cpanel : 'textchanger',  //set here the id of the element (div, p) within you want to insert the control panel
	element : 'content',   //set here the id of the element (div, p) within you want to change the text
	defaultFS : 1.1,       //set here the default font size in 'em'
	defaultFF : 'Tahoma, sans-serif',  //set here the default font family
	init: function() {
		var cpel = document.getElementById(textChanger.cpanel);
		var el = document.getElementById(textChanger.element);
		if (cpel == null || el == null) {alert('The elements with the \"'+textChanger.cpanel+'\" and/or \"'+textChanger.element+'\" ID do not exist in HTML source.');} else {
		var u = document.createElement('ul');
		cpel.appendChild(u);
		u.innerHTML = 
		'<li id="increase"><a href="#" title="Increase font size">+ Increase</a></li>'+
		'<li id="decrease"><a href="#" title="Decrease font size">- Decrease</a></li>'
		var sz = textChanger.getCookie('size');
		el.style.fontSize = sz ? sz + 'em' : textChanger.defaultFS + 'em';
		var incr = document.getElementById('increase');
		incr.onclick = function(){textChanger.changeSize(1);return false;};
		var decr = document.getElementById('decrease');
		decr.onclick = function(){textChanger.changeSize(0);return false;};
	
		var s = document.createElement('select');
		cpel.appendChild(s);
		var texts = ['change font...','Verdana', 'Arial', 'Courier New','Georgia','Tahoma'];
		var values = ['','Verdana, Arial, Helvetica, sans-serif','Arial, Helvetica, sans-serif','Courier New, Courier, mono','Georgia, Times New Roman, Times, serif','Tahoma,Verdana, Arial, Helvetica, sans-serif'];
		for (var i = 0; i < 6; i++) { s.options[i] = new Option(texts[i],values[i]); }		
		var f = textChanger.getCookie('family');
		el.style.fontFamily = f ? f : textChanger.defaultFF;
		s.onchange = function(){textChanger.changeFamily(this.options[this.options.selectedIndex].value); };   
		}
	} ,

	changeSize: function(val) {
		var el = document.getElementById(textChanger.element);
		var size = el.style.fontSize.substring(0,3);
		var fSize = parseFloat(size,10);
		if (val == 1) {
			fSize += 0.11;
			if (fSize > 2.0) fSize = 2.0;
		} else {
			fSize -= 0.11;
			if (fSize < 0.5) fSize = 0.5;
		}		
		el.style.fontSize = fSize + 'em';
		textChanger.updateCookie('size',fSize);
		} ,
		
	changeFamily: function(n) {
		if (n){
		var el = document.getElementById(textChanger.element);
		el.style.fontFamily = n;
		textChanger.updateCookie('family',n);
		} 
	} ,
	
	updateCookie: function(type,vl) {
		var today = new Date();
		var exp = new Date(today.getTime() + (365*24*60*60*1000)); //the cookie will expire in one year  
		var vlck = textChanger.getCookie('all');
		var vltype = textChanger.getCookie(type);
		if(vlck && vlck.indexOf(type) != -1) {   	 
			vlck = vlck.replace(vltype,vl); } else {  
			if (!vlck) {vlck = '';}
			vlck += type + '=' + vl + '&';
		}		
		document.cookie = 'textChanger=' + vlck + ';' +'expires=' + exp.toGMTString() + ';' +'path=/';
	} ,

	getCookie: function(type) { 
		var cname = 'textChanger=';	
		var start = document.cookie.indexOf(cname);
		var len = start + cname.length;
		if ((!start) && (cname != document.cookie.substring(0,cname.length))) {return null;}
		if (start == -1) return null;
		var end = document.cookie.indexOf(";",len);
		if (end == -1) end = document.cookie.length;
		var vlck = document.cookie.substring(len, end);
		if(type=='all') {
			return vlck; } else { 
		var tname = type + '=';
		var startTC = vlck.indexOf(tname);
		var lenTC = startTC + tname.length;
		if ((!startTC) && (tname != vlck.substring(0, tname.length))) {return null;}
		if (startTC == -1) return null;
		var endTC = vlck.indexOf("&", lenTC);
		if (endTC == -1) endTC = vlck.length;
		return unescape(vlck.substring(lenTC, endTC));
		}	
	}
}